version: '3'
services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    image: ae-natural-app
    ports:
      - '8001:8001'
    volumes:
      - .:/var/www/html
  
    depends_on:
      - db
    environment:
      - APP_NAME=BUYMOND
      - APP_ENV=development
      - APP_KEY=base64:uj3QI2fVWrx2T3Dl0XwHYDPby4d4X6f5FjY8E7LYIug=
      - APP_DEBUG=true
      - APP_INSTALL=true
      - APP_LOG_LEVEL=debug
      - APP_MODE=development
      - APP_URL=http://172.20.0.3/
      - DB_CONNECTION=mysql
      - DB_HOST=db
      - DB_PORT=3306
      - DB_DATABASE=laravel
      - DB_USERNAME=root
      - DB_PASSWORD=secret
      # - DB_CONNECTION=mysql
      # - DB_HOST=209.38.192.220
      # - DB_PORT=3306
      # - DB_DATABASE=aenaturals_aedatabase
      # - DB_USERNAME=aenaturals_aedatabase
      # - DB_PASSWORD=bnM6fuP;^i_i
      - BROADCAST_DRIVER=log
      - CACHE_DRIVER=file
      - SESSION_DRIVER=file
      - SESSION_LIFETIME=525600
      - QUEUE_DRIVER=sync
      - AWS_ENDPOINT=
      - AWS_ACCESS_KEY_ID=
      - AWS_SECRET_ACCESS_KEY=
      - AWS_DEFAULT_REGION=us-east-1
      - AWS_BUCKET=
      - REDIS_HOST=127.0.0.1
      - REDIS_PASSWORD=null
      - REDIS_PORT=6379
      - PUSHER_APP_ID=
      - PUSHER_APP_KEY=
      - PUSHER_APP_SECRET=
      - PUSHER_APP_CLUSTER=mt1
      - PURCHASE_CODE=codemake
      - BUYER_USERNAME=ae
      - SOFTWARE_ID=MzE0NDg1OTc=
      - SOFTWARE_VERSION=14.0
      - WEB_THEME=default
      - AFFILIATE_URL=https://affiliate.anytimeshopping.in/
  db:
    image: mysql:5.7
    ports:
      - '3308:3306'
    environment:
      - MYSQL_DATABASE=laravel
      - MYSQL_ROOT_PASSWORD=secret



